Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.writers
Class DefaultReportSummary

    java.lang.Object
      org.apache.jmeter.report.writers.DefaultReportSummary

All Implemented Interfaces:
  Cloneable, ReportSummary

    public class DefaultReportSummary

extends Object
implements ReportSummary

The default implementation of ReportSummary just contains the stats and basic information. It doesn't contain the actual report. In the future we may want to implement a version with all the details to display in a Swing GUI.

Constructor Summary
`DefaultReportSummary()`

Method Summary
`void` | `addPageSummary(PageSummary summary)` Add a PageSummary to the report
`long` | `getElapsedTime()` current implementation simply iterates over the Page summaries and adds the times.
`PageSummary[]` | `getPagesSummaries()` The current implementation calls ArrayList.toArray(Object[])
`void` | `removePageSummary(PageSummary summary)` remove a PageSummary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultReportSummary

    public DefaultReportSummary()

Method Detail

### addPageSummary

    public void addPageSummary(PageSummary summary)

  Add a PageSummary to the report

  Specified by:
    `addPageSummary` in interface `ReportSummary`

### getElapsedTime

    public long getElapsedTime()

  current implementation simply iterates over the Page summaries and adds the times.

  Specified by:
    `getElapsedTime` in interface `ReportSummary`
  Returns:
    elapsed time

### getPagesSummaries

    public PageSummary[] getPagesSummaries()

  The current implementation calls ArrayList.toArray(Object[])

  Specified by:
    `getPagesSummaries` in interface `ReportSummary`
  Returns:
    page summary array

### removePageSummary

    public void removePageSummary(PageSummary summary)

  remove a PageSummary

  Specified by:
    `removePageSummary` in interface `ReportSummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.